ONVIF::Device::Types::CellLayout(3)

NAME
ONVIF::Device::Types::CellLayout

DESCRIPTION
Perl data type class for the XML Schema defined complexType CellLayout from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Transformation

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::CellLayout
   Transformation =>  { # ONVIF::Device::Types::Transformation
     Translate => ,
     Scale => ,
     Extension =>  { # ONVIF::Device::Types::TransformationExtension
     },
   },
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the "attr()" method.

attr() returns an object of the class ONVIF::Device::Types::CellLayout::_CellLayout::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   Columns

     Number of columns of the cell grid (x dimension)

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::integer.

•   Rows

     Number of rows of the cell grid (y dimension)

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::integer.

AUTHOR
Generated by SOAP::WSDL